Page MenuHomePhabricator

Mentor dashboard: V1 desktop
Closed, ResolvedPublic

Description

NOTE: There is a release plan available. You can find it in T278920#7272455.

This task will be a parent task for all subtasks that relate to the first iteration of the mentor dashboard.

Background

Research has shown that mentoring can be a successful way to help newcomers adapt to a new environment. Many current mentors state that they themselves had a mentor figure that helped them start editing Wikipedia. Hence, the team thought that it would be beneficial for newcomers to have the ability to ask other users questions. So the Growth team included a mentorship module on the Newcomer homepage, where newcomers can ask a mentor a question directly from a dialogue box. Currently, the mentors sign up to the mentor list and wait for mentees to be randomly allocated to them. They do not know who their mentees are until one of them asks a question (the only exception is if they claim a mentee ), which then shows up on their talkpage.

Mentors have voiced that they want to know who their mentees are and have the ability to be more proactive about mentoring newcomers.

The goal of the dashboard: Improve the mentor experience and create a central place for mentor-related features that let them be more proactive about mentoring newcomers.

One can find more information about the project in this design brief and this MediaWiki page.

Dashboard

Title: The special page will be called "Mentor dashboard"

Navigation to page: Mentors who have added their usernames to their wiki’s mentor list will gain access to a mentor dashboard. It will be a private special page that can be accessed only by the mentor.

  • For desktop: the dashboard will be located in the top right corner with the other personal tools right before 'log out.

Group 6086.png (81×1 px, 30 KB)

The modules

The first released version of the mentor dashboard will only contain two modules:

After that, more modules will be added. That is tracked as part of T289600: Mentor dashboard: Future release.

Deployment of the first modules

Related Objects

StatusSubtypeAssignedTask
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedApr 29 2021Urbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
DeclinedNone
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
OpenNone
ResolvedUrbanecm_WMF
OpenNone
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
OpenNone
ResolvedOTichonova
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
OpenNone
ResolvedUrbanecm_WMF
OpenNone
ResolvedUrbanecm_WMF
OpenFeatureNone
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF
ResolvedUrbanecm_WMF

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 719248 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] Move variables related to mentor dashboard to variables.less

https://gerrit.wikimedia.org/r/719248

@OTichonova, @RHo, @Urbanecm_WMF - while testing Special:MentorDashboard functionality I noticed that there is no an easy ways to discard selected filters and return to the default state.

Use case #1 - a user selects several filters and performs a search. To return to the default state, a used needs to open "Add filter" and remove selected filters' values one by one

Screen Shot 2021-09-02 at 4.25.51 PM.png (1×1 px, 175 KB)

Use case #2 (probably ok) - a user searches for a username from the search bar:

Screen Shot 2021-09-02 at 4.38.10 PM.png (674×1 px, 89 KB)

To return to the default search a user needs to delete the entered user name from the search field and hit Enter (not quite intuitive two-step action)
Screen Shot 2021-09-02 at 4.38.10 PM.png (674×1 px, 89 KB)

Change 719248 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Move variables related to mentor dashboard to variables.less

https://gerrit.wikimedia.org/r/719248

@Trizek-WMF Unfortunately, I had to remove fr.wp from the list of candidate wikis. I ran the update script on all the wikis from the second deployment trial list to get a sense about its performance on those wikis. It finished quickly on all the wikis you listed, except frwiki. On the French Wikipedia, the updating script was running for two days (that quite surprises me, since frwiki has less mentees than arwiki does). Since we update mentor dashboard daily, it's not possible to include that wiki in the second deployment set (as the overall update time must be less than 24 hours as-of now).

For the reasons described above, deployment of mentor dashboard to French Wikipedia is currently blocked by T290609: Make mentee overview module's updateMenteeData.php scale better, which will hopefully make the updating script scale better.

Change 726884 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Deploy Growth mentor dashboard to pilot wikis

https://gerrit.wikimedia.org/r/726884

Change 726885 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] viwiki: Disable mentor dashboard backend

https://gerrit.wikimedia.org/r/726885

Change 726885 merged by jenkins-bot:

[operations/mediawiki-config@master] viwiki: Disable mentor dashboard backend

https://gerrit.wikimedia.org/r/726885

Mentioned in SAL (#wikimedia-operations) [2021-10-06T12:13:03Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 1aa67d4846f39f59127a835cb7a8ed2974506025: viwiki: Disable mentor dashboard backend (T278920) (duration: 01m 06s)

Change 726884 merged by jenkins-bot:

[operations/mediawiki-config@master] Deploy Growth mentor dashboard to pilot wikis

https://gerrit.wikimedia.org/r/726884

Mentioned in SAL (#wikimedia-operations) [2021-10-07T18:28:55Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 4a946c046ae17a520f8d3463a16b1435ceb4856c: Deploy Growth mentor dashboard to pilot wikis (T278920) (duration: 01m 04s)

Change 730868 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Enable Growth's mentor dashboard backend on all wikis

https://gerrit.wikimedia.org/r/730868

Change 730868 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Growth's mentor dashboard backend on all wikis

https://gerrit.wikimedia.org/r/730868

Mentioned in SAL (#wikimedia-operations) [2021-10-14T18:14:43Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 262e588b44f126fb9e1aa933a3ca59b191b42bd7: Enable Growth mentor dashboard backend on all wikis (T278920) (duration: 01m 05s)

In an off-Phabricator conversation, @Urbanecm_WMF said that performance issues have been covered regarding the second set of wikis we plan to work with. So we re-include fr.wp to the list.

FTR, I created https://superset.wikimedia.org/superset/dashboard/294/ which has the views data (likely not visible for most team members). Once the three weeks pass, I'll use it to generate some easy-to-access numbers for access by other teammates :).

The following wikis will receive the mentor dashboard as a new round of tests:

  • az.wp
  • ckb.wp
  • fr.wp
  • ku.wp
  • uk.wp
  • ro.wp

@Urbanecm_WMF, can we deploy on Wedlesday? I will inform the community on Monday.

Change 732967 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Deploy Growth mentor dashboard to phase II wikis

https://gerrit.wikimedia.org/r/732967

The following wikis will receive the mentor dashboard as a new round of tests:

  • az.wp
  • ckb.wp
  • fr.wp
  • ku.wp
  • uk.wp
  • ro.wp

@Urbanecm_WMF, can we deploy on Wedlesday? I will inform the community on Monday.

Sure thing! Setting a reminder for Wednesday.

I pinged the wikis regarding the upcoming deployment.

I'm adding user-notice to this task, regarding the global deployment since it is, well, global. Any community can turn it on just by setting up a list of mentors.

Text:

A [[special:MentorDashboard|Mentor Dashboard]] is now available at all Wikipedias. It allows registered mentors, who take care of newcomers' first steps, to monitor their assigned newcomers' activity. It is part of the [[ mw:Growth/Feature summary|Growth features]]. Know more about [[ mw:Growth/Communities/How_to_configure_the_mentors%27_list | activating the mentor list ]] and [[ mw:Growth/Mentor dashboard | the mentor dashboard ]].

Change 732967 merged by jenkins-bot:

[operations/mediawiki-config@master] Deploy Growth mentor dashboard to phase II wikis

https://gerrit.wikimedia.org/r/732967

@Trizek-WMF Mentor dashboard is now available at the wikis listed at T278920#7450556.

@Trizek-WMF Thank you for supplying draft wording for Tech News! There are two problems:

  1. The link to [[Special:MentorDashboard]] will be a redlink at all non-Wikipedias (as it is in Meta-wiki when I preview it), so I am reluctant to include it directly.
    • We cannot just link to [[w:Special:MentorDashboard]], because whilst that works as desired from Frwiktionary (it leads to Frwiki), the same link at Frwiki leads to Enwiki... :-(
    • We cannot just use plaintext, because then it is either "In English" at non-English wikis, or translators need to be told how to translate it.
    • Do you have any suggestions on how to resolve this?
  2. At Wikipedias which are not already using the feature, which IIUC is most of them, the Special page leads to a dead-end. I suggest this needs to be improved, before it is widely advertised. [See screenshot below]

image.png (348×1 px, 215 KB)

Here is the (slightly amended) draft wording, to continue iterating from:

At all Wikipedias, a Mentor Dashboard is now available at Special:MentorDashboard. It allows registered mentors, who take care of newcomers' first steps, to monitor their assigned newcomers' activity. It is part of the [[mw:Growth/Feature summary | Growth features]]. You can learn more about [[mw:Growth/Communities/How_to_configure_the_mentors%27_list |activating the mentor list]] on your wiki and about [[mw:Growth/Mentor dashboard | the mentor dashboard project]].

thank you for the proposal, @Quiddity. I would only highlight the Special page by using <code>.

At all Wikipedias, a Mentor Dashboard is now available at <code>Special:MentorDashboard</code>. It allows registered mentors, who take care of newcomers' first steps, to monitor their assigned newcomers' activity. It is part of the [[mw:Growth/Feature summary | Growth features]]. You can learn more about [[mw:Growth/Communities/How_to_configure_the_mentors%27_list |activating the mentor list]] on your wiki and about [[mw:Growth/Mentor dashboard | the mentor dashboard project]].

At Wikipedias which are not already using the feature, which IIUC is most of them, the Special page leads to a dead-end. I suggest this needs to be improved, before it is widely advertised.

Regarding this error message, I'm not sure about your feedback. Could you clarify, please?

We would include this announcement as a Recent change in Tech News. As a consequence, one visiting this page now, or when the deployment will be made broadly, sees the message inviting to enroll as a mentor.

[...]

  1. At Wikipedias which are not already using the feature, which IIUC is most of them, the Special page leads to a dead-end. I suggest this needs to be improved, before it is widely advertised. [See screenshot below]

image.png (348×1 px, 215 KB)

It's my understanding that we plan to put the announcement into tech news after we deploy the mentor dashboard to all Wikipedias (assuming no blockers will be found, should happen in the next three weeks or so). Once that happens, you'd only see "you need to enroll as a mentor" message (if you aren't already a mentor), which sounds like an appropriate link.

It would reach to a dead-end to all non-Wikipedia subscribers (except frwiktionary). I'm not sure how to deal with that the best way. A magic redirect going to the special page if it's a Wikipedia, and to https://www.mediawiki.org/wiki/Growth/Mentor_dashboard otherwise?

It's my understanding that we plan to put the announcement into tech news after we deploy the mentor dashboard to all Wikipedias (assuming no blockers will be found, should happen in the next three weeks or so).

Oh! Ok, that clarifies things. I had misunderstood that it was meant to be in this week's issue.

At Wikipedias which are not already using the feature, which IIUC is most of them, the Special page leads to a dead-end. I suggest this needs to be improved, before it is widely advertised.

Regarding this error message, I'm not sure about your feedback. Could you clarify, please?

Sure! As an editor at Swwiki (or any wiki which has not yet completed the setup), if I go to https://sw.wikipedia.org/wiki/Maalum:MentorDashboard then I currently just see a message saying

Mentor dashboard is not enabled at this wiki.
Return to [Main Page].

Instead, I would prefer to see a message that says (something like this?)

The Mentor Dashboard can be enabled on this wiki.
To begin, your community needs to decide on a page-name. This page will contain the documentation and signup-list for the volunteer mentors. An Interface Admin will need to help with the page creation. (See existing page-name examples in Wikidata)
See How to configure the mentors' list for further details.
You can translate the rest of the user interface at [[translatewiki:.....]].`

@Quiddity, look at the message where the dashboard is available. This message is only visible at wikis where a mentor list exists, since we have a limited deployment at the moment.

@Urbanecm_WMF, is there a different message for when the dashboard will be available everywhere? If not, maybe we could think of a different message when the mentor list exist, and when it doesn't. Depending on your reply, I will create a separate task if needed.

@Quiddity, look at the message where the dashboard is available. This message is only visible at wikis where a mentor list exists, since we have a limited deployment at the moment.

@Urbanecm_WMF, is there a different message for when the dashboard will be available everywhere? If not, maybe we could think of a different message when the mentor list exist, and when it doesn't. Depending on your reply, I will create a separate task if needed.

It says "Before mentor dashboard can be used, mentor list first needs to be configured. An administrator can use Special:EditGrowthConfig for that purpose." when there's no mentor list and "To enable mentor dashboard, you first need to enroll as a mentor." when there is a list, but the user is not enrolled there.

We can obviously change those two messages to pretty much anything.

The last step is to provide the mentor dashboard to all wikis.
The list of wikis with an active list of mentors is: (the ones in italics already have the dashboard)

ar.wikipedia.org
az.wikipedia.org
bn.wikipedia.org
ckb.wikipedia.org
cs.wikipedia.org
de.wikipedia.org
el.wikipedia.org
en.wikipedia.org
eu.wikipedia.org
fa.wikipedia.org
fr.wikipedia.org
fr.wiktionary.org
frr.wikipedia.org
he.wikipedia.org
hr.wikipedia.org
hu.wikipedia.org
hy.wikipedia.org
id.wikipedia.org
it.wikipedia.org
ko.wikipedia.org
ks.wikipedia.org
ku.wikipedia.org
nl.wikipedia.org
no.wikipedia.org
pl.wikipedia.org
pt.wikipedia.org
ro.wikipedia.org
ru.wikipedia.org
sk.wikipedia.org
sq.wikipedia.org
sr.wikipedia.org
sv.wikipedia.org
te.wikipedia.org
test.wikipedia.org
tr.wikipedia.org
uk.wikipedia.org
vi.wikipedia.org

Besides the announcement on Tech News, I will also post a message to the mentors list talk page.

@Urbanecm_WMF, can you confirm that:

  • The dashboard will be available for all users registered on a mentor list?
  • For wikis where there is no mentor list yet, it will be automatically available when a mentor list is created?
  • The deployment is just a config change, hence can be done anytime (for instance on Tuesday Dec 7)?

The last step is to provide the mentor dashboard to all wikis.
[...]
Besides the announcement on Tech News, I will also post a message to the mentors list talk page.

@Urbanecm_WMF, can you confirm that:

  • The dashboard will be available for all users registered on a mentor list?
  • For wikis where there is no mentor list yet, it will be automatically available when a mentor list is created?
  • The deployment is just a config change, hence can be done anytime (for instance on Tuesday Dec 7)?

Correct.

Re-checked Special:Mentordashboard functionality on betalabs and testwiki wmf.9 - all looks as expected.

Note: the updates on mentees' activities or a new mentee being claimed do not get reflected promptly on the Special:MentorDashboard. It takes for 45-90 min for changes to appear on the dashboard.

Follow-up to T280307#7547355: I think this task should wait for full deployment (the last unchecked checkbox in description), and then we can resolve it.

Re-checked Special:Mentordashboard functionality on betalabs and testwiki wmf.9 - all looks as expected.

That's great to know, thanks!

Note: the updates on mentees' activities or a new mentee being claimed do not get reflected promptly on the Special:MentorDashboard. It takes for 45-90 min for changes to appear on the dashboard.

Do you mean the mentee overview module? If so, that's expected: the module runs every three hours (at 15th minute every third hour, starting at 0:15 UTC).

Change 743602 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Deploy Growth mentor dashboard to all wikis

https://gerrit.wikimedia.org/r/743602

[...]
@Urbanecm_WMF, can you confirm that:

  • The dashboard will be available for all users registered on a mentor list?
  • For wikis where there is no mentor list yet, it will be automatically available when a mentor list is created?
  • The deployment is just a config change, hence can be done anytime (for instance on Tuesday Dec 7)?

I prepared the config change that we can merge on Dec 7. I'll wait for an OK before doing the deployment.

Communities have been pinged.

@Urbanecm_WMF, you can proceed according to schedule.

Change 743602 merged by jenkins-bot:

[operations/mediawiki-config@master] Deploy Growth mentor dashboard to all wikis

https://gerrit.wikimedia.org/r/743602

Mentioned in SAL (#wikimedia-operations) [2021-12-07T07:39:34Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 2178202b86acd50b713d939c4bcfedf7d2fa93e7: Deploy Growth mentor dashboard to all wikis (T278920) (duration: 00m 58s)

Not sure whether this is worth a new task: The newly activated mentor dashboard in the German Wikipedia is shown as "Mentor dashboard" in the top navigation, although the correct translation ("Lotsen-Verwaltungsseite") was already added months ago: https://translatewiki.net/w/i.php?title=MediaWiki:Growthexperiments-mentor-dashboard-title/de&oldid=10241188

So it looks like the translation string is not used in the link text. Should I open a new task for that?

@Tkarcher, thank you for your report.
In the personal tools toolbar, the message used is growthexperiments-mentor-dashboard-pt-link, which has been translated today. It will be deployed soon..

Ah, ok. I somehow missed this second string. Thanks!

@Urbanecm_WMF - another question: it seems that MentorDashboard show only mentees that were active during last six months or so. Was it documented anywhere?

@Urbanecm_WMF - another question: it seems that MentorDashboard show only mentees that were active during last six months or so. Was it documented anywhere?

Sorry, missed this somehow. It is noted in the (i) button for mentee overview, see screenshot below:

image.png (711×959 px, 73 KB)

Will be clarified a bit with the upcoming train.

It seems that we are all done there. Can we close it, @Urbanecm_WMF?